# Todoist API

## Create Task
POST /api/task

## Read Task
GET /api/task -> List all task
GET /api/task/[taskId] -> Get specific task

## Update Task
PATCH /api/task/[taskId]

## Delete Task
DELETE /api/task/[taskId]

## Task Structure
*Subject to change*

```js
{
    taskId: number,
    userId: string,
    title: string,
    description: string,
    dueDate: Date,
    createdAt: Date,
    modifiedAt: Date,
    markedAsDone: boolean,
}
```
